DCK FURTURETECH IS NO LONGER AVAILABLE ... [snip by moderator] Please Note that DCK FutureTech requires BD Armory Continued v1.1 or better ... please install the appropriate version for your BDAc version - See Download link list posted below   DCK FutureTech Features - DCK Stealth Coating parts (YCSM - You Can't See Me) which reduces the radar cross section of the craft it is attached to (35% or 50% reduction) - DCK Shields help protect your invisible armor (in DCKinc)
    • Like
    6